nwillard

The 1.8 Mod Armageddon

Recommended Posts

1 hour ago, I_Think_Im_Dead said:

Some mods *do* work.
I found that IFS and KSPIE do, and quite well too.

Tweakscale just about works too. Not well at all, but you can still scale parts.

Many mods will work “somewhat”, would be better to wait a bit before getting frustrated

Share this post


Link to post
Share on other sites

@sarbian made a very important comment on the MechJeb topic.

2 hours ago, sarbian said:

For the sake of my sanity and the hope that I won't reach the point where I need to take am involuntary  break away from the forum:

KSP 1.8 include an upgrade of Unity and a change of the .NET framework. This is a really large change for any mods that includes a DLL. Using a mod that was not compiled explicitly for KSP 1.8 will create unexpected results. So any report about a MJ bugs on an install that includes an mod that was not built for 1.8 will will be ignored (as will reports without logs).

I think this should cover all mods with .dll's.  The transition from KSP 1.7.3 to KSP 1.8 is very hard both ways.  All mods for 1.8+ need .dll's for 1.8+ (and those 1.8+ .dll's may not be usable in 1.7.3-).  If all mods are upgraded, then maybe save games can be ported *carefully* (but watch out for depreciated and removed parts).

 

 

Share this post


Link to post
Share on other sites

If you have a mod that contains parts only, then there's a pretty good chance it will work just fine.

BUT, apart from that, make a sandwich, grab a drink and read a book. Be patient. 

Share this post


Link to post
Share on other sites

wonder if you could import just the new parts from the update back to 1.7 or earlier and not have it break the game

I'm certainly going to try that once I get home just for the new SRBs

Share this post


Link to post
Share on other sites

This may sound weird but I’m disappointed about the TAC life support mod. Every time I try to get it, it downloads right but every time I open ksp the life support box is there and so are the resources, but the parts to store and recycle waste/life support is not.

4 hours ago, NightshineRecorralis said:

wonder if you could import just the new parts from the update back to 1.7 or earlier and not have it break the game

I'm certainly going to try that once I get home just for the new SRBs

Please let me know how it goes! I would love to do this if it works!

Share this post


Link to post
Share on other sites

Given that some mod authors will take this opportunity for a code rework, I'm sure donations would also be appreciated during this time! (Disclaimer: Donations hold no expectation of accelerated updated timelines)

Share this post


Link to post
Share on other sites
19 hours ago, I_Think_Im_Dead said:

Some mods *do* work.
I found that IFS and KSPIE do, and quite well too.

Tweakscale just about works too. Not well at all, but you can still scale parts.

Isn't KSPIE quite a complex mod? I'm surprised it works. Nice to hear anyway, because it means that once KPBS and SSPXr are updated, I can update to 1.8.

Edited by AdjectiveNounNumber
Grammar

Share this post


Link to post
Share on other sites
6 hours ago, nwillard said:

Given that some mod authors will take this opportunity for a code rework, I'm sure donations would also be appreciated during this time! (Disclaimer: Donations hold no expectation of accelerated updated timelines)

This board clearly lacks a beer emoticon.

Share this post


Link to post
Share on other sites

Guys, for owners of steam version, if you feel frustrated without mods, but forgot to make a backup >

Library>KSP>Properities>Beta> choose your version. 1.7.3 is fine for me.

Cheers!

Share this post


Link to post
Share on other sites
On 10/19/2019 at 2:06 PM, I_Think_Im_Dead said:

Some mods *do* work.
I found that IFS and KSPIE do, and quite well too.

Tweakscale just about works too. Not well at all, but you can still scale parts.

Add'Ons that weren't compiled against new libraries neither instances at runtime anything that were broken, deprecated or renamed will work fine.

Add'Ons that will be compiled in the newer DLLs but fails to avoid instancing broken, deprecated or renamed things at runtime will fail the same.

On the long run, just recompiling is useless. You need to revise the code against broken, deprecated and renamed things.

That said, compiling your code on NET 4.x will give you a lot of benefits due improvements on the CIL and compiler. Demanding Add'Ons will probably benefit by being recompiled, but the mileage will vary. It depends highly about what the Add'On uses and need.

Undemanding Add'Ons that relies mostly on unchanged features from Unity and KSP will probably be better served being compiled against KSP 1.7. The NET 4.x runtime still supports 3.5 CIL, and your deployment will be simpler. You will wave a lot of new features - this is only a issue if you need them, however.

TweakScale borked on a regression on KSP. UI_ScaleEdit is defective on KSP 1.8, no matter the .NET framework neither the Unity's DLL you compile against. Would not be that, TweakScale 2.4.3.8 would be working perfectly. 2.4.3.7 would work too had I not locked some code to fail if it didn't recognise the Unity it's running on.

Replacing the KSPField's ui control to something that works will fix the feature. Replacing it with a widget that works both on KSP 1.8 and previous ones will make TweakScale work on all.

If KSP 1.8.1 gets the UI_ScaleEdit fixed, then TweakScale 2.4.3.8 will suddenly come back to work correctly.

Thing is: we don't know when KSP 1.8.1 will be released, so an intermediate TweakScale release is needed on the short run. This release will work on all KSPs from 1.4.1 and beyound at best, or I will issue a dedicated release for KSP 1.8 if there's something else broken when using UI_FloatRange - the alternative to UI_ScaleEdit at hand.

— — — POST EDIT — — — 

UI_FloatRange apparently is broken too, exactly like the UI_ScaleEdit. If someone make these ones work again with a recompile, please advise.

Edited by Lisias
tyops. as usulla.

Share this post


Link to post
Share on other sites

KIS works barely. If you had items in a container they seem to be usable. Kerbals with tools attached can use them. However, no new content can go or come from containers.

EVE and Scatterer load, but show either horrible textures hovering around, or covering the KSC under the sea :(

KER loads, barely works, more than half it's functions are gone :(:(

 

Patience mode: ON

 

There's one that I still have to confirm: Distant Objects

Share this post


Link to post
Share on other sites
On 10/17/2019 at 5:40 PM, ExtremeSquared said:

Also 1.X.0 releases are notoriously buggy, and 1.8 is certainly no exception, so it makes sense for most mods which take any effort to fix to wait for the 1.8.1 release.

I've done tests, and parts from a lot of old mods are working fine. Now updated part-switching mods are appearing, and Module Manager is running, I've run some very old, DLL-free, mods without problems

There are enough bugs to make me hesitate about moving from the sandbox. Most significant is a drag/heating change. Even stock parts are coming in fast and hot.

Share this post


Link to post
Share on other sites

On the other side of the spectrum:

 

-Unlimited Textures is doing fine, better than before even.

-Near Future packs are good to go too.

- had a minor issue with Research & Development, but it was solved by deleting and downloading it again.

Share this post


Link to post
Share on other sites

This was a bad move by Squad considering how soon the sequel is due.......why upgrade the graphics platform now?!

Regardless, think the easiest is to simply revert to 1.7.4

On steam: right click on KSP -> Poperties ->  Betas

Share this post


Link to post
Share on other sites
4 hours ago, MadMike69 said:

This was a bad move by Squad considering how soon the sequel is due.......why upgrade the graphics platform now?!

Regardless, think the easiest is to simply revert to 1.7.4

On steam: right click on KSP -> Poperties ->  Betas

The previous version of KSP was 1.7.3.  And I disagree it was a bad move.  KSP will have settled into an improved and modded version in about a month.  KSP 2 is about 6 months away.  And for KSP 2 to properly compare to modded KSP will likely take 2 or more months after it's released for it to acquire its own mods.

Share this post


Link to post
Share on other sites
On 10/16/2019 at 8:55 PM, Snark said:

It's easy. You just always play the game from a separate folder that you copy it into. That way Steam (or whatever) doesn't know about it and you're safe from interruption.

You can also select earlier builds and occasionally pre-releases to install with the beta option in Steam game properties.

Share this post


Link to post
Share on other sites

Good news everyone. I can now load into the game, select a ship from the tracking station, and load it without it exploding for the first time this week.

 

the bad news? Nothing from MKS seems to be working right, one of my rovers seems to spontaneously deplete all EC while another apparently Does not use any charge, and my two big haulers refuse to light main engines.  Oh well time to camp the forums for further updates

Share this post


Link to post
Share on other sites

K.I.S was updated for 1.8, but does not seem to work with 1.8.1.    Items are there, but you can't put them into any containers, nor equip to a crew slot.

At least that seems to be my issue.    Am I alone, or is this still a "broken" mod?

Share this post


Link to post
Share on other sites

Hmm.   KIS now updated for 1.8.1.   Same issue still.       Still can't put any tools, etc into containers......still just me?

Share this post


Link to post
Share on other sites
On 12/7/2019 at 7:09 AM, EmanonP said:

Hmm.   KIS now updated for 1.8.1.   Same issue still.       Still can't put any tools, etc into containers......still just me?

For troubleshooting you would likely do better posting in the KIS thread.

Share this post


Link to post
Share on other sites
On 12/9/2019 at 8:58 AM, goldenpsp said:

For troubleshooting you would likely do better posting in the KIS thread.

I did.   2 weeks ago and nothing.   So, it must just be me, or someone would have said "yep", still broken.

Ah well.

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.